package com.yeejoin.amos.boot.module.jcs.biz.audioToText;

import com.alibaba.nls.client.protocol.asr.SpeechTranscriberListener;
import com.alibaba.nls.client.protocol.asr.SpeechTranscriberResponse;

/**
 * 文件语音识别 回调函数
 */
public class FileSpeechTranscriberListener extends SpeechTranscriberListener {
    @Override
    public void onTranscriberStart(SpeechTranscriberResponse response) {

    }

    @Override
    public void onSentenceBegin(SpeechTranscriberResponse response) {

    }

    @Override
    public void onSentenceEnd(SpeechTranscriberResponse response) {

    }

    @Override
    public void onTranscriptionResultChange(SpeechTranscriberResponse response) {

    }

    @Override
    public void onTranscriptionComplete(SpeechTranscriberResponse response) {

    }

    @Override
    public void onFail(SpeechTranscriberResponse response) {

    }

    void responseLogger(SpeechTranscriberResponse response) {

    }
}
